GNU bug report logs - #22174
24.4; emacs --daemon crashes when ssh is disconnected. I am using lucid x toolkit.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Cody Addison <cody.addison@HIDDEN>; merged with #11676, #14958; dated Tue, 15 Dec 2015 04:21:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 11676 14958 22174. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22174 <at> debbugs.gnu.org:


Received: (at 22174) by debbugs.gnu.org; 16 Dec 2015 20:44:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 16 15:44:31 2015
Received: from localhost ([127.0.0.1]:53898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a9Iw3-0006ih-AC
	for submit <at> debbugs.gnu.org; Wed, 16 Dec 2015 15:44:31 -0500
Received: from mail-oi0-f50.google.com ([209.85.218.50]:33206)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <cody.addison@HIDDEN>) id 1a9Iw1-0006iT-CK
 for 22174 <at> debbugs.gnu.org; Wed, 16 Dec 2015 15:44:29 -0500
Received: by mail-oi0-f50.google.com with SMTP id y66so31521337oig.0
 for <22174 <at> debbugs.gnu.org>; Wed, 16 Dec 2015 12:44:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=JvikA7dayREub1u1FuBQT8rBOCG7jv6aPLWCuz3Ionk=;
 b=zkVTvHo3FJYxHpa9In4r0OXwmlHMYJauWB4vft0PXLCJnXPcpHZ58vmSo/7UQ6UXbz
 hYSraGJs/ZHd8Iy9/gXEdZuYjJqROAw2Gz+gZ3tOrWABaxnZYrMlfpboG1YVuISDR1RU
 Y9bM4knemB7mFXcXtjIY4KZ1IAA9Ipw/74+qs6tEn/8PtEWrBm/r15Ytxo3zbmNnvsDp
 XK0TxpHjDYOF+nw+D4rp2EN4lkdrr6fG0VlkADnNIrgX1aCLhzdaRWnZ1V7a18ZyPYIF
 oiDpCJ8nlakPqBeSPdsJioe2/RKc2PXvKKphN2V9OP40OcPrV5FZEKkKuO9hBx/99F4X
 iwyg==
MIME-Version: 1.0
X-Received: by 10.202.48.212 with SMTP id w203mr34417210oiw.97.1450298663841; 
 Wed, 16 Dec 2015 12:44:23 -0800 (PST)
Received: by 10.60.10.234 with HTTP; Wed, 16 Dec 2015 12:44:23 -0800 (PST)
Received: by 10.60.10.234 with HTTP; Wed, 16 Dec 2015 12:44:23 -0800 (PST)
In-Reply-To: <83lh8uyvnh.fsf@HIDDEN>
References: <CAKS2fHdso_mqE64OHOcdRk_1rbCo5zPuzMaKE-iOLOOX0G9Oew@HIDDEN>
 <83k2of3e82.fsf@HIDDEN>
 <CAKS2fHf-7EX3PckAOtMKpQ9bEYfypStXgzdVEWQ32SpbMjcLiA@HIDDEN>
 <CAKS2fHdZCmEVVCezu3QO2W3bYshUzknyTOBu+6=-PrPxJQFBnw@HIDDEN>
 <834mfi1fn7.fsf@HIDDEN>
 <CAKS2fHdESPBFL9Gh=nVNqCD5VVCndFLGn0hwwjHoW93vrDeGfQ@HIDDEN>
 <83poy6yyi8.fsf@HIDDEN>
 <CAKS2fHdekmDX01uChckBip+YT8MFDVd494cdwDLxWrXUjLGdWg@HIDDEN>
 <CAKS2fHf_kLKVwMiAY-OZ1Sv18sTvEB67sG5768H_e98fAzWwgA@HIDDEN>
 <83mvtayxed.fsf@HIDDEN>
 <CAKS2fHfzBs0M8yrQJ7nDZEEkKP5NKjNohTVWbSurzsnEB_jHFw@HIDDEN>
 <83lh8uyvnh.fsf@HIDDEN>
Date: Wed, 16 Dec 2015 14:44:23 -0600
Message-ID: <CAKS2fHekMYX_12Zxyxvgnz+tCxL+gsu+MvxnCMPQogAHxSqfZg@HIDDEN>
Subject: Re: bug#22174: 24.4; emacs --daemon crashes when ssh is disconnected.
 I am using lucid x toolkit.
From: Cody Addison <cody.addison@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a113cdb9ead34bc052709f83e
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22174
Cc: 22174 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a113cdb9ead34bc052709f83e
Content-Type: text/plain; charset=UTF-8

Yes
On Dec 16, 2015 2:40 PM, "Eli Zaretskii" <eliz@HIDDEN> wrote:

> > Date: Wed, 16 Dec 2015 14:04:07 -0600
> > From: Cody Addison <cody.addison@HIDDEN>
> > Cc: 22174 <at> debbugs.gnu.org
> >
> > I just type exit. I have also tried logout.
>
> To the shell, after you already exited emacsclient frame?
>

--001a113cdb9ead34bc052709f83e
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<p dir=3D"ltr">Yes</p>
<div class=3D"gmail_quote">On Dec 16, 2015 2:40 PM, &quot;Eli Zaretskii&quo=
t; &lt;<a href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<br type=
=3D"attribution"><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8=
ex;border-left:1px #ccc solid;padding-left:1ex">&gt; Date: Wed, 16 Dec 2015=
 14:04:07 -0600<br>
&gt; From: Cody Addison &lt;<a href=3D"mailto:cody.addison@HIDDEN">cody.=
addison@HIDDEN</a>&gt;<br>
&gt; Cc: <a href=3D"mailto:22174 <at> debbugs.gnu.org">22174 <at> debbugs.gnu.org</a>=
<br>
&gt;<br>
&gt; I just type exit. I have also tried logout.<br>
<br>
To the shell, after you already exited emacsclient frame?<br>
</blockquote></div>

--001a113cdb9ead34bc052709f83e--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22174; Package emacs. Full text available.

Message received at 22174 <at> debbugs.gnu.org:


Received: (at 22174) by debbugs.gnu.org; 16 Dec 2015 20:40:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 16 15:40:26 2015
Received: from localhost ([127.0.0.1]:53883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a9Is6-0006c5-JN
	for submit <at> debbugs.gnu.org; Wed, 16 Dec 2015 15:40:26 -0500
Received: from eggs.gnu.org ([208.118.235.92]:47298)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1a9Is4-0006bs-LT
 for 22174 <at> debbugs.gnu.org; Wed, 16 Dec 2015 15:40:25 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1a9Irw-00034h-90
 for 22174 <at> debbugs.gnu.org; Wed, 16 Dec 2015 15:40:19 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43440)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1a9Irw-00034d-60; Wed, 16 Dec 2015 15:40:16 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1230
 helo=HOME-C4E4A596F7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1a9Irv-0007o5-IE; Wed, 16 Dec 2015 15:40:15 -0500
Date: Wed, 16 Dec 2015 22:40:34 +0200
Message-Id: <83lh8uyvnh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Cody Addison <cody.addison@HIDDEN>
In-reply-to: <CAKS2fHfzBs0M8yrQJ7nDZEEkKP5NKjNohTVWbSurzsnEB_jHFw@HIDDEN>
 (message from Cody Addison on Wed, 16 Dec 2015 14:04:07 -0600)
Subject: Re: bug#22174: 24.4; emacs --daemon crashes when ssh is disconnected.
 I am using lucid x toolkit.
References: <CAKS2fHdso_mqE64OHOcdRk_1rbCo5zPuzMaKE-iOLOOX0G9Oew@HIDDEN>
 <83k2of3e82.fsf@HIDDEN>
 <CAKS2fHf-7EX3PckAOtMKpQ9bEYfypStXgzdVEWQ32SpbMjcLiA@HIDDEN>
 <CAKS2fHdZCmEVVCezu3QO2W3bYshUzknyTOBu+6=-PrPxJQFBnw@HIDDEN>
 <834mfi1fn7.fsf@HIDDEN>
 <CAKS2fHdESPBFL9Gh=nVNqCD5VVCndFLGn0hwwjHoW93vrDeGfQ@HIDDEN>
 <83poy6yyi8.fsf@HIDDEN>
 <CAKS2fHdekmDX01uChckBip+YT8MFDVd494cdwDLxWrXUjLGdWg@HIDDEN>
 <CAKS2fHf_kLKVwMiAY-OZ1Sv18sTvEB67sG5768H_e98fAzWwgA@HIDDEN>
 <83mvtayxed.fsf@HIDDEN>
 <CAKS2fHfzBs0M8yrQJ7nDZEEkKP5NKjNohTVWbSurzsnEB_jHFw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22174
Cc: 22174 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Wed, 16 Dec 2015 14:04:07 -0600
> From: Cody Addison <cody.addison@HIDDEN>
> Cc: 22174 <at> debbugs.gnu.org
> 
> I just type exit. I have also tried logout.

To the shell, after you already exited emacsclient frame?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22174; Package emacs. Full text available.

Message received at 22174 <at> debbugs.gnu.org:


Received: (at 22174) by debbugs.gnu.org; 16 Dec 2015 20:04:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 16 15:04:14 2015
Received: from localhost ([127.0.0.1]:53866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a9IJ4-0005l5-Ft
	for submit <at> debbugs.gnu.org; Wed, 16 Dec 2015 15:04:14 -0500
Received: from mail-ob0-f171.google.com ([209.85.214.171]:34556)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <cody.addison@HIDDEN>) id 1a9IJ3-0005ks-9U
 for 22174 <at> debbugs.gnu.org; Wed, 16 Dec 2015 15:04:13 -0500
Received: by mail-ob0-f171.google.com with SMTP id iw8so41006708obc.1
 for <22174 <at> debbugs.gnu.org>; Wed, 16 Dec 2015 12:04:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=qOAY8H/j663u9AGdcHEGdzKfpF13qTu2UWD39cBp0Ws=;
 b=MD0ZkrOEMi/RHWw33QWR8Z8EtQYTtvz7noKhdwTkIUnkLnyfLDij2qVAc2aqM8Qik7
 BDOp87UYjwCbT+F33bqANQ5RZX4s64vpknEfE69jwLn5avtX1yqfYOHO2PjMFW4QFyVV
 ulvcqMuRXBhPiTJTCid2JlGuCQkixxuYadu49zZM1/TGYdZh1zOq2yw7S4SzKnhXPU4x
 qYjBcvsXw1ZIPvmaMhxJ3ma51nOGykzBS1f64mEIM2+dY/JPY2dIDZ0OebhAehuDHHux
 OsBu71y3M8W4eK2jHzIarJlLs5U4k+CrjK9a5uP1Lazq8YsuDhDoqxyllxHtkYxCOM84
 sn5w==
MIME-Version: 1.0
X-Received: by 10.60.98.97 with SMTP id eh1mr35636567oeb.74.1450296247665;
 Wed, 16 Dec 2015 12:04:07 -0800 (PST)
Received: by 10.60.10.234 with HTTP; Wed, 16 Dec 2015 12:04:07 -0800 (PST)
In-Reply-To: <83mvtayxed.fsf@HIDDEN>
References: <CAKS2fHdso_mqE64OHOcdRk_1rbCo5zPuzMaKE-iOLOOX0G9Oew@HIDDEN>
 <83k2of3e82.fsf@HIDDEN>
 <CAKS2fHf-7EX3PckAOtMKpQ9bEYfypStXgzdVEWQ32SpbMjcLiA@HIDDEN>
 <CAKS2fHdZCmEVVCezu3QO2W3bYshUzknyTOBu+6=-PrPxJQFBnw@HIDDEN>
 <834mfi1fn7.fsf@HIDDEN>
 <CAKS2fHdESPBFL9Gh=nVNqCD5VVCndFLGn0hwwjHoW93vrDeGfQ@HIDDEN>
 <83poy6yyi8.fsf@HIDDEN>
 <CAKS2fHdekmDX01uChckBip+YT8MFDVd494cdwDLxWrXUjLGdWg@HIDDEN>
 <CAKS2fHf_kLKVwMiAY-OZ1Sv18sTvEB67sG5768H_e98fAzWwgA@HIDDEN>
 <83mvtayxed.fsf@HIDDEN>
Date: Wed, 16 Dec 2015 14:04:07 -0600
Message-ID: <CAKS2fHfzBs0M8yrQJ7nDZEEkKP5NKjNohTVWbSurzsnEB_jHFw@HIDDEN>
Subject: Re: bug#22174: 24.4; emacs --daemon crashes when ssh is disconnected.
 I am using lucid x toolkit.
From: Cody Addison <cody.addison@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=089e011776eba94c0305270968b3
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22174
Cc: 22174 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--089e011776eba94c0305270968b3
Content-Type: text/plain; charset=UTF-8

I just type exit. I have also tried logout.

On Wed, Dec 16, 2015 at 2:02 PM, Eli Zaretskii <eliz@HIDDEN> wrote:

> [Resending to the bug address.]
>
> > Date: Wed, 16 Dec 2015 13:48:07 -0600
> > From: Cody Addison <cody.addison@HIDDEN>
> >
> > I'm still trying out a few things, but it seems that if I start emacs
> --daemon
> > with DISPLAY unset, things seem to work fine.
>
> Thanks.
>

--089e011776eba94c0305270968b3
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">I just type exit. I have also tried logout.</div><div clas=
s=3D"gmail_extra"><br><div class=3D"gmail_quote">On Wed, Dec 16, 2015 at 2:=
02 PM, Eli Zaretskii <span dir=3D"ltr">&lt;<a href=3D"mailto:eliz@HIDDEN" =
target=3D"_blank">eliz@HIDDEN</a>&gt;</span> wrote:<br><blockquote class=
=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padd=
ing-left:1ex">[Resending to the bug address.]<br>
<br>
&gt; Date: Wed, 16 Dec 2015 13:48:07 -0600<br>
&gt; From: Cody Addison &lt;<a href=3D"mailto:cody.addison@HIDDEN">cody.=
addison@HIDDEN</a>&gt;<br>
&gt;<br>
<span class=3D"">&gt; I&#39;m still trying out a few things, but it seems t=
hat if I start emacs --daemon<br>
&gt; with DISPLAY unset, things seem to work fine.<br>
<br>
</span>Thanks.<br>
</blockquote></div><br></div>

--089e011776eba94c0305270968b3--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22174; Package emacs. Full text available.

Message received at 22174 <at> debbugs.gnu.org:


Received: (at 22174) by debbugs.gnu.org; 16 Dec 2015 20:02:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 16 15:02:42 2015
Received: from localhost ([127.0.0.1]:53862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a9IHa-0005ig-67
	for submit <at> debbugs.gnu.org; Wed, 16 Dec 2015 15:02:42 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39030)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1a9IHZ-0005iT-Bf
 for 22174 <at> debbugs.gnu.org; Wed, 16 Dec 2015 15:02:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1a9IHQ-0002Wv-F8
 for 22174 <at> debbugs.gnu.org; Wed, 16 Dec 2015 15:02:36 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42908)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1a9IHQ-0002Wq-Ba; Wed, 16 Dec 2015 15:02:32 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1219
 helo=HOME-C4E4A596F7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1a9IHP-0006Jg-MY; Wed, 16 Dec 2015 15:02:32 -0500
Date: Wed, 16 Dec 2015 22:02:50 +0200
Message-Id: <83mvtayxed.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Cody Addison <cody.addison@HIDDEN>
In-reply-to: <CAKS2fHf_kLKVwMiAY-OZ1Sv18sTvEB67sG5768H_e98fAzWwgA@HIDDEN>
 (message from Cody Addison on Wed, 16 Dec 2015 13:48:07 -0600)
Subject: Re: bug#22174: 24.4; emacs --daemon crashes when ssh is disconnected.
 I am using lucid x toolkit.
References: <CAKS2fHdso_mqE64OHOcdRk_1rbCo5zPuzMaKE-iOLOOX0G9Oew@HIDDEN>
 <83k2of3e82.fsf@HIDDEN>
 <CAKS2fHf-7EX3PckAOtMKpQ9bEYfypStXgzdVEWQ32SpbMjcLiA@HIDDEN>
 <CAKS2fHdZCmEVVCezu3QO2W3bYshUzknyTOBu+6=-PrPxJQFBnw@HIDDEN>
 <834mfi1fn7.fsf@HIDDEN>
 <CAKS2fHdESPBFL9Gh=nVNqCD5VVCndFLGn0hwwjHoW93vrDeGfQ@HIDDEN>
 <83poy6yyi8.fsf@HIDDEN>
 <CAKS2fHdekmDX01uChckBip+YT8MFDVd494cdwDLxWrXUjLGdWg@HIDDEN>
 <CAKS2fHf_kLKVwMiAY-OZ1Sv18sTvEB67sG5768H_e98fAzWwgA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22174
Cc: 22174 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[Resending to the bug address.]

> Date: Wed, 16 Dec 2015 13:48:07 -0600
> From: Cody Addison <cody.addison@HIDDEN>
> 
> I'm still trying out a few things, but it seems that if I start emacs --daemon
> with DISPLAY unset, things seem to work fine. 

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22174; Package emacs. Full text available.

Message received at 22174 <at> debbugs.gnu.org:


Received: (at 22174) by debbugs.gnu.org; 16 Dec 2015 20:02:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 16 15:02:00 2015
Received: from localhost ([127.0.0.1]:53858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a9IGt-0005hK-U4
	for submit <at> debbugs.gnu.org; Wed, 16 Dec 2015 15:02:00 -0500
Received: from eggs.gnu.org ([208.118.235.92]:38703)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1a9IGs-0005h8-D1
 for 22174 <at> debbugs.gnu.org; Wed, 16 Dec 2015 15:01:58 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1a9IGj-0002L3-8k
 for 22174 <at> debbugs.gnu.org; Wed, 16 Dec 2015 15:01:53 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42886)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1a9IGj-0002Kx-67; Wed, 16 Dec 2015 15:01:49 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1218
 helo=HOME-C4E4A596F7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1a9IGi-0005b4-Dh; Wed, 16 Dec 2015 15:01:48 -0500
Date: Wed, 16 Dec 2015 22:02:07 +0200
Message-Id: <83oadqyxfk.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Cody Addison <cody.addison@HIDDEN>
In-reply-to: <CAKS2fHdekmDX01uChckBip+YT8MFDVd494cdwDLxWrXUjLGdWg@HIDDEN>
 (message from Cody Addison on Wed, 16 Dec 2015 13:46:09 -0600)
Subject: Re: bug#22174: 24.4; emacs --daemon crashes when ssh is disconnected.
 I am using lucid x toolkit.
References: <CAKS2fHdso_mqE64OHOcdRk_1rbCo5zPuzMaKE-iOLOOX0G9Oew@HIDDEN>
 <83k2of3e82.fsf@HIDDEN>
 <CAKS2fHf-7EX3PckAOtMKpQ9bEYfypStXgzdVEWQ32SpbMjcLiA@HIDDEN>
 <CAKS2fHdZCmEVVCezu3QO2W3bYshUzknyTOBu+6=-PrPxJQFBnw@HIDDEN>
 <834mfi1fn7.fsf@HIDDEN>
 <CAKS2fHdESPBFL9Gh=nVNqCD5VVCndFLGn0hwwjHoW93vrDeGfQ@HIDDEN>
 <83poy6yyi8.fsf@HIDDEN>
 <CAKS2fHdekmDX01uChckBip+YT8MFDVd494cdwDLxWrXUjLGdWg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22174
Cc: 22174 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[Please don't omit the bug address from the CC list.]

> Date: Wed, 16 Dec 2015 13:46:09 -0600
> From: Cody Addison <cody.addison@HIDDEN>
> 
> Because it hangs. If I start ssh and don't open an emacsclient, exit works
> fine. However, if I start an emacsclient, exit hangs.

How do you exit?  What do you type to exit?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22174; Package emacs. Full text available.

Message received at 22174 <at> debbugs.gnu.org:


Received: (at 22174) by debbugs.gnu.org; 16 Dec 2015 19:38:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 16 14:38:50 2015
Received: from localhost ([127.0.0.1]:53853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a9HuU-00056A-2g
	for submit <at> debbugs.gnu.org; Wed, 16 Dec 2015 14:38:50 -0500
Received: from eggs.gnu.org ([208.118.235.92]:33961)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1a9HuS-00055s-3h
 for 22174 <at> debbugs.gnu.org; Wed, 16 Dec 2015 14:38:48 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1a9HuI-000546-5q
 for 22174 <at> debbugs.gnu.org; Wed, 16 Dec 2015 14:38:43 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42601)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1a9HuI-00053x-3C; Wed, 16 Dec 2015 14:38:38 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4999
 helo=HOME-C4E4A596F7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1a9HuH-0005Cu-DX; Wed, 16 Dec 2015 14:38:37 -0500
Date: Wed, 16 Dec 2015 21:38:55 +0200
Message-Id: <83poy6yyi8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Cody Addison <cody.addison@HIDDEN>
In-reply-to: <CAKS2fHdESPBFL9Gh=nVNqCD5VVCndFLGn0hwwjHoW93vrDeGfQ@HIDDEN>
 (message from Cody Addison on Wed, 16 Dec 2015 12:59:49 -0600)
Subject: Re: bug#22174: 24.4; emacs --daemon crashes when ssh is disconnected.
 I am using lucid x toolkit.
References: <CAKS2fHdso_mqE64OHOcdRk_1rbCo5zPuzMaKE-iOLOOX0G9Oew@HIDDEN>
 <83k2of3e82.fsf@HIDDEN>
 <CAKS2fHf-7EX3PckAOtMKpQ9bEYfypStXgzdVEWQ32SpbMjcLiA@HIDDEN>
 <CAKS2fHdZCmEVVCezu3QO2W3bYshUzknyTOBu+6=-PrPxJQFBnw@HIDDEN>
 <834mfi1fn7.fsf@HIDDEN>
 <CAKS2fHdESPBFL9Gh=nVNqCD5VVCndFLGn0hwwjHoW93vrDeGfQ@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22174
Cc: 22174 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Wed, 16 Dec 2015 12:59:49 -0600
> From: Cody Addison <cody.addison@HIDDEN>
> 
> Here is the result. I am including the backtrace of all 3 threads. The SIGTERM
> comes when I Ctrl-C the ssh command. I didn't expect that to pass through to
> the emacs daemon.

And why do you use Ctrl-C to interrupt ssh?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22174; Package emacs. Full text available.

Message received at 22174 <at> debbugs.gnu.org:


Received: (at 22174) by debbugs.gnu.org; 16 Dec 2015 19:36:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 16 14:36:25 2015
Received: from localhost ([127.0.0.1]:53849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a9Hs9-00052T-HM
	for submit <at> debbugs.gnu.org; Wed, 16 Dec 2015 14:36:25 -0500
Received: from eggs.gnu.org ([208.118.235.92]:33483)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1a9Hs8-00052D-AL
 for 22174 <at> debbugs.gnu.org; Wed, 16 Dec 2015 14:36:24 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1a9Hs0-0004YC-0L
 for 22174 <at> debbugs.gnu.org; Wed, 16 Dec 2015 14:36:19 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:42572)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1a9Hrz-0004Y8-T4; Wed, 16 Dec 2015 14:36:15 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4997
 helo=HOME-C4E4A596F7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1a9Hry-00028o-LJ; Wed, 16 Dec 2015 14:36:15 -0500
Date: Wed, 16 Dec 2015 21:36:32 +0200
Message-Id: <83r3imyym7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Cody Addison <cody.addison@HIDDEN>
In-reply-to: <CAKS2fHdESPBFL9Gh=nVNqCD5VVCndFLGn0hwwjHoW93vrDeGfQ@HIDDEN>
 (message from Cody Addison on Wed, 16 Dec 2015 12:59:49 -0600)
Subject: Re: bug#22174: 24.4; emacs --daemon crashes when ssh is disconnected.
 I am using lucid x toolkit.
References: <CAKS2fHdso_mqE64OHOcdRk_1rbCo5zPuzMaKE-iOLOOX0G9Oew@HIDDEN>
 <83k2of3e82.fsf@HIDDEN>
 <CAKS2fHf-7EX3PckAOtMKpQ9bEYfypStXgzdVEWQ32SpbMjcLiA@HIDDEN>
 <CAKS2fHdZCmEVVCezu3QO2W3bYshUzknyTOBu+6=-PrPxJQFBnw@HIDDEN>
 <834mfi1fn7.fsf@HIDDEN>
 <CAKS2fHdESPBFL9Gh=nVNqCD5VVCndFLGn0hwwjHoW93vrDeGfQ@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22174
Cc: 22174 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[Please keep the bug address on the CC list.]

> Date: Wed, 16 Dec 2015 12:59:49 -0600
> From: Cody Addison <cody.addison@HIDDEN>
> 
> Here is the result. I am including the backtrace of all 3 threads. The SIGTERM
> comes when I Ctrl-C the ssh command. I didn't expect that to pass through to
> the emacs daemon.
> 
> (gdb) continue
> Continuing.
> [New Thread 0x7f789b17d700 (LWP 52670)]
> [New Thread 0x7f789a97c700 (LWP 52765)]
> 
> Program received signal SIGTERM, Terminated.
> [Switching to Thread 0x7f789b17d700 (LWP 52670)]
> 
> backtrace thread 1:
> 
> (gdb) thread 1
> [Switching to thread 1 (Thread 0x7f78a10fa880 (LWP 26190))]
> #0 0x00007f789e045e79 in __pselect (nfds=6, readfds=0x7fff4c537f40,
> writefds=0x7fff4c537fc0, exceptfds=0x0, timeout=<optimized out>,
> sigmask=<optimized out>) at ../sysdeps/unix/sysv/linux/pselect.c:77
> 77 ../sysdeps/unix/sysv/linux/pselect.c: No such file or directory.
> (gdb) backtrace
> #0 0x00007f789e045e79 in __pselect (nfds=6, readfds=0x7fff4c537f40,
> writefds=0x7fff4c537fc0, exceptfds=0x0, timeout=<optimized out>,
> sigmask=<optimized out>) at ../sysdeps/unix/sysv/linux/pselect.c:77
> #1 0x000000000065505b in xg_select (fds_lim=6, rfds=0x7fff4c538550,
> wfds=0x7fff4c5385d0, efds=0x0, timeout=0x7fff4c538530, sigmask=0x0)
> at ../../emacs-24.4/src/xgselect.c:105
> #2 0x000000000061b0c7 in wait_reading_process_output (time_limit=0, nsecs=0,
> read_kbd=-1, do_display=true, wait_for_cell=12752882, wait_proc=0x0,
> just_wait_proc=0) at ../../emacs-24.4/src/process.c:4606
> #3 0x000000000053c869 in kbd_buffer_get_event (kbp=0x7fff4c5388b8,
> used_mouse_menu=0x7fff4c538de9, end_time=0x0)
> at ../../emacs-24.4/src/keyboard.c:3906
> #4 0x00000000005390da in read_event_from_main_queue (end_time=0x0,
> local_getcjmp=0x7fff4c538bf0, used_mouse_menu=0x7fff4c538de9)
> at ../../emacs-24.4/src/keyboard.c:2246
> #5 0x000000000053933e in read_decoded_event_from_main_queue (end_time=0x0,
> local_getcjmp=0x7fff4c538bf0, prev_event=12752882,
> used_mouse_menu=0x7fff4c538de9) at ../../emacs-24.4/src/keyboard.c:2309
> #6 0x000000000053a835 in read_char (commandflag=1, map=36984518,
> prev_event=12752882, used_mouse_menu=0x7fff4c538de9, end_time=0x0)
> at ../../emacs-24.4/src/keyboard.c:2895
> #7 0x0000000000546170 in read_key_sequence (keybuf=0x7fff4c538fd0,
> bufsize=30, prompt=12752882, dont_downcase_last=false,
> can_return_switch_frame=true, fix_current_buffer=true,
> prevent_redisplay=false) at ../../emacs-24.4/src/keyboard.c:9088
> #8 0x00000000005375c1 in command_loop_1 ()
> at ../../emacs-24.4/src/keyboard.c:1452
> #9 0x00000000005c970b in internal_condition_case (
> bfun=0x5371f9 <command_loop_1>, handlers=12804482,
> hfun=0x536ae8 <cmd_error>) at ../../emacs-24.4/src/eval.c:1348
> #10 0x0000000000536f53 in command_loop_2 (ignore=12752882)
> at ../../emacs-24.4/src/keyboard.c:1177
> #11 0x00000000005c8f1d in internal_catch (tag=12800418,
> func=0x536f2d <command_loop_2>, arg=12752882)
> at ../../emacs-24.4/src/eval.c:1112
> #12 0x0000000000536f01 in command_loop ()
> at ../../emacs-24.4/src/keyboard.c:1156
> #13 0x00000000005366e3 in recursive_edit_1 ()
> at ../../emacs-24.4/src/keyboard.c:777
> #14 0x0000000000536850 in Frecursive_edit ()
> at ../../emacs-24.4/src/keyboard.c:848
> #15 0x0000000000534867 in main (argc=2, argv=0x7fff4c5393d8)
> at ../../emacs-24.4/src/emacs.c:1646
> 
> backtrace thread 2:
> 
> (gdb) thread 2
> [Switching to thread 2 (Thread 0x7f789c1a5700 (LWP 26191))]
> #0 0x00007f789e04112d in poll () at ../sysdeps/unix/syscall-template.S:81
> 81 ../sysdeps/unix/syscall-template.S: No such file or directory.
> (gdb) backtrace
> #0 0x00007f789e04112d in poll () at ../sysdeps/unix/syscall-template.S:81
> #1 0x00007f789e57ffe4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
> #2 0x00007f789e5800ec in g_main_context_iteration ()
> from /lib/x86_64-linux-gnu/libglib-2.0.so.0
> #3 0x00007f789e580129 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
> #4 0x00007f789e5a4f05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
> #5 0x00007f789e321182 in start_thread (arg=0x7f789c1a5700)
> at pthread_create.c:312
> #6 0x00007f789e04e47d in clone ()
> at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
> 
> backtrace thread 3:
> 
> 0x00007f789e32920b in raise (sig=15)
> at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:37
> 37 ../nptl/sysdeps/unix/sysv/linux/pt-raise.c: No such file or directory.
> (gdb) backtrace
> #0 0x00007f789e32920b in raise (sig=15)
> at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:37
> #1 0x00007f789ced5adc in ffi_call_unix64 ()
> from /usr/lib/x86_64-linux-gnu/libffi.so.6
> #2 0x00007f789ced540c in ffi_call ()
> from /usr/lib/x86_64-linux-gnu/libffi.so.6
> #3 0x00007f789e850055 in g_cclosure_marshal_generic_va ()
> from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
> #4 0x00007f789e84f5e7 in ?? ()
> from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
> #5 0x00007f789e868088 in g_signal_emit_valist ()
> from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
> #6 0x00007f789e868ce2 in g_signal_emit ()
> from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
> #7 0x00007f789eb539d5 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
> #8 0x00007f789e57fce5 in g_main_context_dispatch ()
> from /lib/x86_64-linux-gnu/libglib-2.0.so.0
> #9 0x00007f789e580048 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
> #10 0x00007f789e5800ec in g_main_context_iteration ()
> from /lib/x86_64-linux-gnu/libglib-2.0.so.0
> #11 0x00007f789b1851ad in ?? ()
> from /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
> #12 0x00007f789e5a4f05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
> #13 0x00007f789e321182 in start_thread (arg=0x7f789b17d700)
> at pthread_create.c:312
> #14 0x00007f789e04e47d in clone ()
> at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Looks like thread 3, which runs some Glib code, deliberately killed
the entire process by raising SIGTERM.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22174; Package emacs. Full text available.

Message received at 22174 <at> debbugs.gnu.org:


Received: (at 22174) by debbugs.gnu.org; 15 Dec 2015 15:56:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 15 10:56:22 2015
Received: from localhost ([127.0.0.1]:52804 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a8rxd-0006J3-QK
	for submit <at> debbugs.gnu.org; Tue, 15 Dec 2015 10:56:22 -0500
Received: from mail-ob0-f170.google.com ([209.85.214.170]:36230)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <cody.addison@HIDDEN>) id 1a8rxb-0006Iq-Kh
 for 22174 <at> debbugs.gnu.org; Tue, 15 Dec 2015 10:56:19 -0500
Received: by mail-ob0-f170.google.com with SMTP id no2so9744492obc.3
 for <22174 <at> debbugs.gnu.org>; Tue, 15 Dec 2015 07:56:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=46GHL0eigYnf7EdFmbsjzgLppTokmbk8g57aP5AL284=;
 b=lQ8c0H2B1NwuHq1gsXYoPged+Zn0u4uaQbVdUjueT2uRIuBmDSpcw2LC+sq7zvnGFH
 J4qngyb2gX/kQsiQQbi7jx50yAAB1ng1My2ZInuE3L7jBr6MdyHU157qcWj0I2K91f81
 U2dJ2lQaT64tns8L9eu7B+OFpfXlHy+1oVz2ZY3VZEdlXaGdm3HMU7tyqxreGbibg/nY
 wCTtCqjFBDIZPcJtclvb9rjaSC+o5J9Ay3f1PdRKAqPBzJfjCVbKOV1PWKJQxJvsrE88
 xaZ8oIejUTCq6GSSVM9nQIMd7h72ZcLrKfzEOON8H1/IY/AlTmldUkqyWh7RsHh7O5en
 Jd1Q==
MIME-Version: 1.0
X-Received: by 10.182.120.4 with SMTP id ky4mr30516206obb.16.1450194973666;
 Tue, 15 Dec 2015 07:56:13 -0800 (PST)
Received: by 10.60.10.234 with HTTP; Tue, 15 Dec 2015 07:56:13 -0800 (PST)
In-Reply-To: <83k2of3e82.fsf@HIDDEN>
References: <CAKS2fHdso_mqE64OHOcdRk_1rbCo5zPuzMaKE-iOLOOX0G9Oew@HIDDEN>
 <83k2of3e82.fsf@HIDDEN>
Date: Tue, 15 Dec 2015 09:56:13 -0600
Message-ID: <CAKS2fHf-7EX3PckAOtMKpQ9bEYfypStXgzdVEWQ32SpbMjcLiA@HIDDEN>
Subject: Re: bug#22174: 24.4; emacs --daemon crashes when ssh is disconnected.
 I am using lucid x toolkit.
From: Cody Addison <cody.addison@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=089e013a00ae42b3ea0526f1d478
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22174
Cc: 22174 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--089e013a00ae42b3ea0526f1d478
Content-Type: text/plain; charset=UTF-8

Eli,

Sure. I'll give it a try tonight and send you the results. A few more
details that may help:

1. The exit command hangs. I typically have to use Ctrl-C. This only
happens if I've opened emacsclient with X forwarding. I suspect the server
still has an open connection over ssh, but this isn't really an area I know
much about.
2. I exit the emacs client with C-x C-c. Sometimes I just put the laptop to
sleep without closing emacs or the terminal. Both have the same results.
3. This was working for a while. I don't believe anything has changed since
it stopped working, but it's possible. Right now I can reproduce the crash
every time.

On Tue, Dec 15, 2015 at 9:48 AM, Eli Zaretskii <eliz@HIDDEN> wrote:

> > Date: Mon, 14 Dec 2015 22:05:54 -0600
> > From: Cody Addison <cody.addison@HIDDEN>
> >
> > Here are the steps I typically do:
> > % ssh <machine>
> > % tmux attach (This step doesn't seem important. I've tried this with and
> > without tmux).
> > % emacs --daemon
> > % emacsclient -n -c
> > % tmux detach
> > % exit
> >
> > At this point the server is toast.
>
> Can you attach GDB to the daemon before the final step, and when it
> crashes (or exits or aborts or whatever), produce a backtrace and post
> it here?
>
> One more thing to try is the latest emacs-25 branch, if you can build
> it or get a hold of snapshot binaries somewhere.
>
> Thanks.
>

--089e013a00ae42b3ea0526f1d478
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Eli,<div><br></div><div>Sure. I&#39;ll give it a try tonig=
ht and send you the results. A few more details that may help:</div><div><b=
r></div><div>1. The exit command hangs. I typically have to use Ctrl-C. Thi=
s only happens if I&#39;ve opened emacsclient with X forwarding. I suspect =
the server still has an open connection over ssh, but this isn&#39;t really=
 an area I know much about.</div><div>2. I exit the emacs client with C-x C=
-c. Sometimes I just put the laptop to sleep without closing emacs or the t=
erminal. Both have the same results.</div><div>3. This was working for a wh=
ile. I don&#39;t believe anything has changed since it stopped working, but=
 it&#39;s possible. Right now I can reproduce the crash every time.</div></=
div><div class=3D"gmail_extra"><br><div class=3D"gmail_quote">On Tue, Dec 1=
5, 2015 at 9:48 AM, Eli Zaretskii <span dir=3D"ltr">&lt;<a href=3D"mailto:e=
liz@HIDDEN" target=3D"_blank">eliz@HIDDEN</a>&gt;</span> wrote:<br><block=
quote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc=
 solid;padding-left:1ex">&gt; Date: Mon, 14 Dec 2015 22:05:54 -0600<br>
&gt; From: Cody Addison &lt;<a href=3D"mailto:cody.addison@HIDDEN">cody.=
addison@HIDDEN</a>&gt;<br>
&gt;<br>
&gt; Here are the steps I typically do:<br>
&gt; % ssh &lt;machine&gt;<br>
&gt; % tmux attach (This step doesn&#39;t seem important. I&#39;ve tried th=
is with and<br>
&gt; without tmux).<br>
&gt; % emacs --daemon<br>
&gt; % emacsclient -n -c<br>
&gt; % tmux detach<br>
&gt; % exit<br>
&gt;<br>
&gt; At this point the server is toast.<br>
<br>
Can you attach GDB to the daemon before the final step, and when it<br>
crashes (or exits or aborts or whatever), produce a backtrace and post<br>
it here?<br>
<br>
One more thing to try is the latest emacs-25 branch, if you can build<br>
it or get a hold of snapshot binaries somewhere.<br>
<br>
Thanks.<br>
</blockquote></div><br></div>

--089e013a00ae42b3ea0526f1d478--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22174; Package emacs. Full text available.

Message received at 22174 <at> debbugs.gnu.org:


Received: (at 22174) by debbugs.gnu.org; 15 Dec 2015 15:48:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 15 10:48:09 2015
Received: from localhost ([127.0.0.1]:52798 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a8rpg-000689-TA
	for submit <at> debbugs.gnu.org; Tue, 15 Dec 2015 10:48:09 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48375)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1a8rpf-00067x-2c
 for 22174 <at> debbugs.gnu.org; Tue, 15 Dec 2015 10:48:07 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1a8rpW-0002uf-OO
 for 22174 <at> debbugs.gnu.org; Tue, 15 Dec 2015 10:48:01 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56029)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1a8rpW-0002uT-La; Tue, 15 Dec 2015 10:47:58 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2865
 helo=HOME-C4E4A596F7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1a8rpW-0002sA-1c; Tue, 15 Dec 2015 10:47:58 -0500
Date: Tue, 15 Dec 2015 17:48:13 +0200
Message-Id: <83k2of3e82.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Cody Addison <cody.addison@HIDDEN>
In-reply-to: <CAKS2fHdso_mqE64OHOcdRk_1rbCo5zPuzMaKE-iOLOOX0G9Oew@HIDDEN>
 (message from Cody Addison on Mon, 14 Dec 2015 22:05:54 -0600)
Subject: Re: bug#22174: 24.4;
 emacs --daemon crashes when ssh is disconnected. I am using lucid x
 toolkit.
References: <CAKS2fHdso_mqE64OHOcdRk_1rbCo5zPuzMaKE-iOLOOX0G9Oew@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22174
Cc: 22174 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Mon, 14 Dec 2015 22:05:54 -0600
> From: Cody Addison <cody.addison@HIDDEN>
> 
> Here are the steps I typically do:
> % ssh <machine>
> % tmux attach (This step doesn't seem important. I've tried this with and
> without tmux).
> % emacs --daemon
> % emacsclient -n -c
> % tmux detach
> % exit
> 
> At this point the server is toast.

Can you attach GDB to the daemon before the final step, and when it
crashes (or exits or aborts or whatever), produce a backtrace and post
it here?

One more thing to try is the latest emacs-25 branch, if you can build
it or get a hold of snapshot binaries somewhere.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22174; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Dec 2015 04:20:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 14 23:20:16 2015
Received: from localhost ([127.0.0.1]:52093 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a8h5z-0005UC-W2
	for submit <at> debbugs.gnu.org; Mon, 14 Dec 2015 23:20:16 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55961)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <cody.addison@HIDDEN>) id 1a8gsG-0005AW-W3
 for submit <at> debbugs.gnu.org; Mon, 14 Dec 2015 23:06:05 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cody.addison@HIDDEN>) id 1a8gsA-0005SB-GF
 for submit <at> debbugs.gnu.org; Mon, 14 Dec 2015 23:05:59 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41120)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <cody.addison@HIDDEN>) id 1a8gsA-0005S5-Cj
 for submit <at> debbugs.gnu.org; Mon, 14 Dec 2015 23:05:58 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37730)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <cody.addison@HIDDEN>) id 1a8gs8-0001Dc-GB
 for bug-gnu-emacs@HIDDEN; Mon, 14 Dec 2015 23:05:57 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cody.addison@HIDDEN>) id 1a8gs7-0005Rn-43
 for bug-gnu-emacs@HIDDEN; Mon, 14 Dec 2015 23:05:56 -0500
Received: from mail-oi0-x22e.google.com ([2607:f8b0:4003:c06::22e]:34836)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <cody.addison@HIDDEN>) id 1a8gs6-0005Rj-UL
 for bug-gnu-emacs@HIDDEN; Mon, 14 Dec 2015 23:05:55 -0500
Received: by oiai186 with SMTP id i186so37222378oia.2
 for <bug-gnu-emacs@HIDDEN>; Mon, 14 Dec 2015 20:05:54 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=EgskUTM/bs6qj6hLDEkYKMrriYacyMhjU3UxClvVRb8=;
 b=lTkZiJTTOcA5nl04CghJn/16O1kC5vlNLlhzjkjNwvfcXnLxuRsg7EsOY80JWcTNOw
 Ulb7a/LSKUVrUexcr67PpmdW8mSHdw2kaIKhuGlnDu5NU2uV+ylFHoPK8EsQITMKvXwH
 pnsP2Da9o1Lv5QUkz9HZmT/r3NTdR6/X/dWiM5filHzq+nNmthYU423BxevULyraRvHN
 YZJcsVyK6ZJbDyLjBAv3ahBQmFYEGA+M5Yi0DQdb3Ps8Z+1T19pMRpBAZh//r05dey4L
 m7pTU/SXzW8d5ujl/h2wDUgGjcMHQSdhnA5stmI9Xwr9a+1omDrmliTsXRA4FTgjRUdb
 HGiA==
MIME-Version: 1.0
X-Received: by 10.202.107.68 with SMTP id g65mr26568592oic.135.1450152354211; 
 Mon, 14 Dec 2015 20:05:54 -0800 (PST)
Received: by 10.60.10.234 with HTTP; Mon, 14 Dec 2015 20:05:54 -0800 (PST)
Date: Mon, 14 Dec 2015 22:05:54 -0600
Message-ID: <CAKS2fHdso_mqE64OHOcdRk_1rbCo5zPuzMaKE-iOLOOX0G9Oew@HIDDEN>
Subject: 24.4; emacs --daemon crashes when ssh is disconnected. I am using
 lucid x toolkit.
From: Cody Addison <cody.addison@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=001a1141ab54f170b50526e7e719
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 14 Dec 2015 23:20:14 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a1141ab54f170b50526e7e719
Content-Type: text/plain; charset=UTF-8

I am using emacs in server mode on a remote machine. The intent is to
have a persistent emacs session that I can reconnect to.

Here are the steps I typically do:
% ssh <machine>
% tmux attach (This step doesn't seem important. I've tried this with and
without tmux).
% emacs --daemon
% emacsclient -n -c
% tmux detach
% exit

At this point the server is toast.

I am using cygwin on Windows 7 for the ssh client and X server. I have
also tried emacs 24.5 with no success. I have tried multiple X tool kits
(athena and motif) with no success.




In GNU Emacs 24.4.1 (x86_64-unknown-linux-gnu, X toolkit, Xaw scroll bars)
 of 2015-10-01 on sdocg001
Windowing system distributor `The Cygwin/X Project', version 11.0.11704000
System Description: Ubuntu 14.04.1 LTS

Configured using:
 `configure --with-x-toolkit=lucid
 --prefix=/home/a0866938/opt/emacs-24.4 --with-jpeg=no --with-gif=no
 --with-tiff=no'

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  show-paren-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e p o <tab> r t <tab> <return>

Recent messages:
Loading delsel...done
Loading paren...done
Loading /home/a0866938/emacs_scripts/tiasm_mode.el (source)...done
Loading
/home/a0866938/.emacs.d/elpa/color-theme-20080305.34/themes/color-theme-example.el
(source)...done
Loading
/home/a0866938/.emacs.d/elpa/color-theme-20080305.34/themes/color-theme-example.elc...done
Loading
/home/a0866938/.emacs.d/elpa/color-theme-20080305.34/themes/color-theme-library.el
(source)...done
Loading
/home/a0866938/.emacs.d/elpa/color-theme-20080305.34/themes/color-theme-library.elc...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
help-fns mail-prsvr mail-utils help-mode solarized-theme
solarized-definitions cl-macs color-theme wid-edit cl gv cl-loaddefs
cl-lib jka-compr paren delsel cus-start cus-load color-theme-autoloads
info easymenu package epg-config time-date tooltip electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting x-toolkit x multi-tty emacs)

Memory information:
((conses 16 277417 13086)
 (symbols 48 24532 0)
 (miscs 40 40 109)
 (strings 32 43033 16146)
 (string-bytes 1 860921)
 (vectors 16 14072)
 (vector-slots 8 432696 5323)
 (floats 8 174 265)
 (intervals 56 220 210)
 (buffers 960 12)
 (heap 1024 41052 1153))

--001a1141ab54f170b50526e7e719
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><br></div><div>I am using emacs in server mode on a r=
emote machine. The intent is to</div><div>have a persistent emacs session t=
hat I can reconnect to.</div><div><br></div><div>Here are the steps I typic=
ally do:</div><div>% ssh &lt;machine&gt;</div><div>% tmux attach (This step=
 doesn&#39;t seem important. I&#39;ve tried this with and</div><div>without=
 tmux).</div><div>% emacs --daemon</div><div>% emacsclient -n -c</div><div>=
% tmux detach</div><div>% exit</div><div><br></div><div>At this point the s=
erver is toast.</div><div><br></div><div>I am using cygwin on Windows 7 for=
 the ssh client and X server. I have</div><div>also tried emacs 24.5 with n=
o success. I have tried multiple X tool kits</div><div>(athena and motif) w=
ith no success.</div><div><br></div><div><br></div><div><br></div><div><br>=
</div><div>In GNU Emacs 24.4.1 (x86_64-unknown-linux-gnu, X toolkit, Xaw sc=
roll bars)</div><div>=C2=A0of 2015-10-01 on sdocg001</div><div>Windowing sy=
stem distributor `The Cygwin/X Project&#39;, version 11.0.11704000</div><di=
v>System Description:<span class=3D"" style=3D"white-space:pre">	</span>Ubu=
ntu 14.04.1 LTS</div><div><br></div><div>Configured using:</div><div>=C2=A0=
`configure --with-x-toolkit=3Dlucid</div><div>=C2=A0--prefix=3D/home/a08669=
38/opt/emacs-24.4 --with-jpeg=3Dno --with-gif=3Dno</div><div>=C2=A0--with-t=
iff=3Dno&#39;</div><div><br></div><div>Important settings:</div><div>=C2=A0=
 value of $LANG: en_US.UTF-8</div><div>=C2=A0 locale-coding-system: utf-8-u=
nix</div><div><br></div><div>Major mode: Lisp Interaction</div><div><br></d=
iv><div>Minor modes in effect:</div><div>=C2=A0 show-paren-mode: t</div><di=
v>=C2=A0 tooltip-mode: t</div><div>=C2=A0 electric-indent-mode: t</div><div=
>=C2=A0 mouse-wheel-mode: t</div><div>=C2=A0 menu-bar-mode: t</div><div>=C2=
=A0 file-name-shadow-mode: t</div><div>=C2=A0 global-font-lock-mode: t</div=
><div>=C2=A0 font-lock-mode: t</div><div>=C2=A0 blink-cursor-mode: t</div><=
div>=C2=A0 auto-composition-mode: t</div><div>=C2=A0 auto-encryption-mode: =
t</div><div>=C2=A0 auto-compression-mode: t</div><div>=C2=A0 column-number-=
mode: t</div><div>=C2=A0 line-number-mode: t</div><div>=C2=A0 transient-mar=
k-mode: t</div><div><br></div><div>Recent input:</div><div>M-x r e p o &lt;=
tab&gt; r t &lt;tab&gt; &lt;return&gt;</div><div><br></div><div>Recent mess=
ages:</div><div>Loading delsel...done</div><div>Loading paren...done</div><=
div>Loading /home/a0866938/emacs_scripts/tiasm_mode.el (source)...done</div=
><div>Loading /home/a0866938/.emacs.d/elpa/color-theme-20080305.34/themes/c=
olor-theme-example.el (source)...done</div><div>Loading /home/a0866938/.ema=
cs.d/elpa/color-theme-20080305.34/themes/color-theme-example.elc...done</di=
v><div>Loading /home/a0866938/.emacs.d/elpa/color-theme-20080305.34/themes/=
color-theme-library.el (source)...done</div><div>Loading /home/a0866938/.em=
acs.d/elpa/color-theme-20080305.34/themes/color-theme-library.elc...done</d=
iv><div>For information about GNU Emacs and the GNU system, type C-h C-a.</=
div><div>Making completion list...</div><div><br></div><div>Load-path shado=
ws:</div><div>None found.</div><div><br></div><div>Features:</div><div>(sha=
dow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml</div><=
div>mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev</di=
v><div>gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util</di=
v><div>help-fns mail-prsvr mail-utils help-mode solarized-theme</div><div>s=
olarized-definitions cl-macs color-theme wid-edit cl gv cl-loaddefs</div><d=
iv>cl-lib jka-compr paren delsel cus-start cus-load color-theme-autoloads</=
div><div>info easymenu package epg-config time-date tooltip electric uniqui=
fy</div><div>ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-ba=
r dnd</div><div>fontset image regexp-opt fringe tabulated-list newcomment l=
isp-mode</div><div>prog-mode register page menu-bar rfn-eshadow timer selec=
t scroll-bar</div><div>mouse jit-lock font-lock syntax facemenu font-core f=
rame cham georgian</div><div>utf-8-lang misc-lang vietnamese tibetan thai t=
ai-viet lao korean</div><div>japanese hebrew greek romanian slovak czech eu=
ropean ethiopic indian</div><div>cyrillic chinese case-table epa-hook jka-c=
mpr-hook help simple abbrev</div><div>minibuffer nadvice loaddefs button fa=
ces cus-face macroexp files</div><div>text-properties overlay sha1 md5 base=
64 format env code-pages mule</div><div>custom widget hashtable-print-reada=
ble backquote make-network-process</div><div>dbusbind gfilenotify dynamic-s=
etting x-toolkit x multi-tty emacs)</div><div><br></div><div>Memory informa=
tion:</div><div>((conses 16 277417 13086)</div><div>=C2=A0(symbols 48 24532=
 0)</div><div>=C2=A0(miscs 40 40 109)</div><div>=C2=A0(strings 32 43033 161=
46)</div><div>=C2=A0(string-bytes 1 860921)</div><div>=C2=A0(vectors 16 140=
72)</div><div>=C2=A0(vector-slots 8 432696 5323)</div><div>=C2=A0(floats 8 =
174 265)</div><div>=C2=A0(intervals 56 220 210)</div><div>=C2=A0(buffers 96=
0 12)</div><div>=C2=A0(heap 1024 41052 1153))</div><div><br></div></div>

--001a1141ab54f170b50526e7e719--




Acknowledgement sent to Cody Addison <cody.addison@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#22174; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.